Update an add-on definition
import requests
url = "https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}"
payload = { "display_name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"website_url": "<string>",
"documentation_url": "<string>",
"icon_url": "<string>",
"category": "<string>",
"match_chart_names": [
"<string>"
],
"match_keywords": [
"<string>"
],
"match_home_url_prefixes": [
"<string>"
],
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Helm
Update an add-on definition
Replaces an organisation add-on definition’s fields. Ankra’s global definitions are read-only and answer 403.
PUT
/
api
/
v1
/
org
/
helm
/
addon-definitions
/
{definition_name}
Update an add-on definition
import requests
url = "https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}"
payload = { "display_name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"website_url": "<string>",
"documentation_url": "<string>",
"icon_url": "<string>",
"category": "<string>",
"match_chart_names": [
"<string>"
],
"match_keywords": [
"<string>"
],
"match_home_url_prefixes": [
"<string>"
],
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The add-on definition's name (a lowercase slug).
Maximum string length:
100Body
application/json
Maximum string length:
200Chart names this add-on matches.
Chart keywords this add-on matches.
Chart home URL prefixes this add-on matches.
Response
The updated definition.
The wire shape of a definition.